Skip to main content
GET
/
mcp-server
/
instance
/
{instanceId}
Get
curl --request GET \
  --url https://api.klavis.ai/mcp-server/instance/{instanceId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.klavis.ai/mcp-server/instance/{instanceId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.klavis.ai/mcp-server/instance/{instanceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.klavis.ai/mcp-server/instance/{instanceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "instanceId": "<string>",
  "authNeeded": false,
  "isAuthenticated": false,
  "serverName": "",
  "platform": "",
  "externalUserId": "",
  "oauthUrl": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Your Klavis AI API key.

Path Parameters

instanceId
string<uuid>
required

The ID of the connection integration instance whose status is being checked. This is returned by the Create API.

Response

Successful Response

instanceId
string | null

The unique identifier of the connection integration instance.

authNeeded
boolean
default:false

Indicates whether authentication is required for this server instance.

isAuthenticated
boolean
default:false

Indicates whether the instance is authenticated successfully.

serverName
string
default:""

The name of the MCP server associated with the instance.

platform
string
default:""

The platform associated with the instance.

externalUserId
string
default:""

The user's identifier on the external platform.

oauthUrl
string | null

The OAuth URL for authentication if available, supports white label if configured.